#!/bin/sh

DIR=/etc/osso-af-init

if grep -q -s x-server.sh /etc/init.d/af-services /etc/osso-af-init/real-af-services
then
	echo "Setuid-requiring scheme found, leaving startup for AF"
else
	case "$1" in
	start)
	echo -n "Starting X server: "
     source $DIR/x-server.defs
	 source $DIR/x-server.sh start
	echo "Done"
	;;
	stop)
	echo -n "Stopping X server: "
     source $DIR/x-server.defs
	 source $DIR/x-server.sh stop
	 echo "Done"
	;;
	esac
fi
